<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package TOURIMO
 * @since TOURIMO 1.0
 */

// Page (category, tag, archive, author) title

if ( tourimo_need_page_title() ) {
	tourimo_sc_layouts_showed( 'title', true );
	tourimo_sc_layouts_showed( 'postmeta', true );
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( is_single() ) {
							?>
							<div class="sc_layouts_title_meta">
							<?php
								tourimo_show_post_meta(
									apply_filters(
										'tourimo_filter_post_meta_args', array(
											'components' => join( ',', tourimo_array_get_keys_by_value( tourimo_get_theme_option( 'meta_parts' ) ) ),
											'counters'   => join( ',', tourimo_array_get_keys_by_value( tourimo_get_theme_option( 'counters' ) ) ),
											'seo'        => tourimo_is_on( tourimo_get_theme_option( 'seo_snippets' ) ),
										), 'header', 1
									)
								);
							?>
							</div>
							<?php
						}

						// Blog/Post title
						?>
						<div class="sc_layouts_title_title">
							<?php
							$tourimo_blog_title           = tourimo_get_blog_title();
							$tourimo_blog_title_text      = '';
							$tourimo_blog_title_class     = '';
							$tourimo_blog_title_link      = '';
							$tourimo_blog_title_link_text = '';
							if ( is_array( $tourimo_blog_title ) ) {
								$tourimo_blog_title_text      = $tourimo_blog_title['text'];
								$tourimo_blog_title_class     = ! empty( $tourimo_blog_title['class'] ) ? ' ' . $tourimo_blog_title['class'] : '';
								$tourimo_blog_title_link      = ! empty( $tourimo_blog_title['link'] ) ? $tourimo_blog_title['link'] : '';
								$tourimo_blog_title_link_text = ! empty( $tourimo_blog_title['link_text'] ) ? $tourimo_blog_title['link_text'] : '';
							} else {
								$tourimo_blog_title_text = $tourimo_blog_title;
							}
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr( $tourimo_blog_title_class ); ?>">
								<?php
								$tourimo_top_icon = tourimo_get_term_image_small();
								if ( ! empty( $tourimo_top_icon ) ) {
									$tourimo_attr = tourimo_getimagesize( $tourimo_top_icon );
									?>
									<img src="<?php echo esc_url( $tourimo_top_icon ); ?>" alt="<?php esc_attr_e( 'Site icon', 'tourimo' ); ?>"
										<?php
										if ( ! empty( $tourimo_attr[3] ) ) {
											tourimo_show_layout( $tourimo_attr[3] );
										}
										?>
									>
									<?php
								}
								echo wp_kses_data( $tourimo_blog_title_text );
								?>
							</h1>
							<?php
							if ( ! empty( $tourimo_blog_title_link ) && ! empty( $tourimo_blog_title_link_text ) ) {
								?>
								<a href="<?php echo esc_url( $tourimo_blog_title_link ); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html( $tourimo_blog_title_link_text ); ?></a>
								<?php
							}

							// Category/Tag description
							if ( ! is_paged() && ( is_category() || is_tag() || is_tax() ) ) {
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
							}

							?>
						</div>
						<?php

						// Breadcrumbs
						ob_start();
						do_action( 'tourimo_action_breadcrumbs' );
						$tourimo_breadcrumbs = ob_get_contents();
						ob_end_clean();
						tourimo_show_layout( $tourimo_breadcrumbs, '<div class="sc_layouts_title_breadcrumbs">', '</div>' );
						?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
